package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcYqyj;
import org.apache.ibatis.annotations.Param;

/**
 * 舆情预警Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface TcYqyjMapper 
{
    /**
     * 查询舆情预警
     * 
     * @param id 舆情预警主键
     * @return 舆情预警
     */
    public TcYqyj selectTcYqyjById(Long id);

    /**
     * 查询舆情预警列表
     * 
     * @param tcYqyj 舆情预警
     * @return 舆情预警集合
     */
    public List<TcYqyj> selectTcYqyjList(TcYqyj tcYqyj);

    /**
     * 新增舆情预警
     * 
     * @param tcYqyj 舆情预警
     * @return 结果
     */
    public int insertTcYqyj(TcYqyj tcYqyj);

    /**
     * 修改舆情预警
     * 
     * @param tcYqyj 舆情预警
     * @return 结果
     */
    public int updateTcYqyj(TcYqyj tcYqyj);

    /**
     * 删除舆情预警
     * 
     * @param id 舆情预警主键
     * @return 结果
     */
    public int deleteTcYqyjById(Long id);

    /**
     * 批量删除舆情预警
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcYqyjByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
